rejectis

Member
Apr 24, 2004
11
0
151
Exim is failed.
When I look in whm's "Service Status", I see:
exim (packageeximisnotinstalled) failed
Also when I try running service exim restart I get a: exim: unrecognized service

so I navigated to the service directory where exim should be located.

Code:
[email protected] [/etc/rc.d/init.d]# ls
./         crond*            isdn*           nfs*         rhnsd*      x.exe*
../        filelimits*       kdcrotate*      nfslock*     saslauthd*  xfs*
acpid*     functions*        killall*        nscd*        single*     xinetd*
anacron*   gpm*              kudzu*          pcmcia*      smartd*     xsp*
apmd*      halt*             microcode_ctl*  portmap*     snmpd*      ypbind*
atd*       httpd*            mono*           portsentry*  snmptrapd*  yum*
autofs*    httpd.tmpeditlib  mysql*          postgresql*  sshd*
bandmin*   ipaliases*        named*          proftpd*     syslog*
chkservd*  iptables*         netfs*          random*      winbind*
cpanel*    irqbalance*       network*        rawdevices*  x.cs
No exim :(

So I figured i'd reinstall it.
Code:
[email protected] [/]# /scripts/exim4 --force                                       Exim Setup Script Version 17.0
Fetching version information from http://updates.cpanel.net/eximinstall/version (CURRENT)....Done
This is the exim 4.50 installer release number 0 for platform fedora 1
Gathering header information file(s) from server(s)
Server: Fedora Core 1 - i386 - Base
Server: Mono
Server: Fedora Core 1 - i386 - Released Updates
Server: xsp
Finding updated packages
Downloading needed headers
db4-devel is installed and is the latest version.
pam-devel is installed and is the latest version.
openssl096 is installed and is the latest version.
openssl096b is installed and is the latest version.
openssl is installed and is the latest version.
openssl-devel is installed and is the latest version.
gcc is installed and is the latest version.
glibc-devel is installed and is the latest version.
compat-db is installed and is the latest version.
zlib-devel is installed and is the latest version.
rpm-build is installed and is the latest version.
No actions to take
Resetting Exim to cPanel Defaults and Installing the Latest Version
`/etc/localdomains' -> `/etc/localdomains.eximreset'
`/etc/aliases' -> `/etc/aliases.eximreset'
`/etc/secondarymx' -> `/etc/secondarymx.eximreset'
Failed to download http://diff.cpanel.net/exim/4.50-0/fedora/1/exim-4.50-0_cpanel_smtpctl_av_rewrite_mm2_mmmtrap_exiscan_md5pass.i386.rpm .. using source instead
Gathering header information file(s) from server(s)
Server: Fedora Core 1 - i386 - Base
Server: Mono
Server: Fedora Core 1 - i386 - Released Updates
Server: xsp
Finding updated packages
Downloading needed headers
rpm is installed and is the latest version.
rpm-build is installed and is the latest version.
Cannot find a package matching db-devel
gdbm-devel is installed and is the latest version.
Cannot find a package matching db1-devel
compat-db is installed and is the latest version.
Cannot find a package matching ndbm-devel
No actions to take
Building RPM....Done
[B]Failed to download [/B]
http://diff.cpanel.net/exim-cpanel7.2.0/exim-4.50-0_cpanel_smtpctl_av_rewrite_mm2_mmmtrap_exiscan_md5pass.src.rpm at /scripts/exim4 line 208.
[email protected] [/]#
Notice Failed download? http://diff.cpanel.net/exim-cpanel7...v_rewrite_mm2_mmmtrap_exiscan_md5pass.src.rpm downloads for me..

So I tried "service iptables stop" with no avail. for some reason it wont download that file.

Can anyone help?